import request from '@/utils/request'

// 查询用户打卡信息列表
export function listAttendUsrDetail(query) {
  return request({
    url: '/park/attendUsrDetail/list',
    method: 'get',
    params: query
  })
}

// 查询用户打卡信息详细
export function getAttendUsrDetail(id) {
  return request({
    url: '/park/attendUsrDetail/' + id,
    method: 'get'
  })
}

// 新增用户打卡信息
export function addAttendUsrDetail(data) {
  return request({
    url: '/park/attendUsrDetail',
    method: 'post',
    data: data
  })
}

// 修改用户打卡信息
export function updateAttendUsrDetail(data) {
  return request({
    url: '/park/attendUsrDetail',
    method: 'put',
    data: data
  })
}

// 删除用户打卡信息
export function delAttendUsrDetail(id) {
  return request({
    url: '/park/attendUsrDetail/' + id,
    method: 'delete'
  })
}
